**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/23.1/documents/document-renditions/upload-document-version-rendition.md

# Upload Document Version Rendition



<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/renditions/{rendition_type}" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
| `{rendition_type}` | The document rendition type. |
</FieldTable>

## File Upload {#file-upload}

To upload the file, use the multi-part attachment with the file component `"file={file_name}"`. The maximum allowed file size is 4GB.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=CholeCap-Document.pdf" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/renditions/imported_rendition__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault associates the uploaded file with the given rendition type for the document with the specified version number.



---

**Previous:** [Add Single Document Rendition](/qualityone/vault-api/api-reference/23.1/documents/document-renditions/add-single-document-rendition)  
**Next:** [Replace Document Rendition](/qualityone/vault-api/api-reference/23.1/documents/document-renditions/replace-document-rendition)